Image COMPRESSOR & Watermark & WebP & Lazy Load etc. by Sitecreator ver. 2.3.1 & 3.2.0

100 покупок
Image COMPRESSOR & Watermark & WebP & Lazy Load etc. by Sitecreator ver. 2.3.1 & 3.2.0
Цена: 2 900 ₽ 3 500 ₽
* Адрес сайта VQmod:

Адрес тестового сайта (необязательно) VQmod:

Каталог дополненийМодули
Автор: sitecreator
Покупок: 152 (Средняя оценка: 5)
Нужна платная помощь с установкой?
Совместимость:
OpenCart 1.5.3.1OpenCart 1.5.4.1OpenCart 1.5.5.1OpenCart 1.5.6OpenCart 1.5.6.1OpenCart 1.5.6.2OpenCart 1.5.6.3OpenCart 1.5.6.4OpenCart 2.0OpenCart 2.1OpenCart 2.2OpenCart 2.3OpenCart 3.*OCStore 1.5.3.1OCStore 1.5.4.1OCStore 1.5.5.1OCStore 1.5.5.1.1OCStore 1.5.5.1.2OCStore 2.1OCStore 2.3OCStore 3.*OcShop 1.5.6.4.хOpencart.pro 2.1Opencart.pro 2.3MaxyStore 2.1.0.2MaxyStore 2.3.0.2
Оптимизация (сжатие) изображений - Гугл PageSpeed одобряет
Теперь настоящий комбайн для работы с изображениями.  Управление белыми полями, четкостью, размером, обрезкой картинок и т.д.

[b]Для Opencart 3.0 и Opencart 2.*, 1.5
С поддержкой WEBP, Lazy Load и др.
Дистрибутив теперь универсальный (он один) для движка 1.5, 2-й и 3-й версий.
Версия модуля 3.2.0


Ioncube Loader (версия 10+ обязательна) используйте 10-ю или 11-ю, или 12.0.4+.  12.0.2-я версия содержит баг (начиная с 12.0.4 нет проблем)

Подробная документация по установке модуля и настройке
[/b]




[size=100]Гугл отмечает положительно в своем аудите выполнение рекомендаций по оптимизации изображений.

[/size]



Для комплексной оптимизации сайта в дополнение к оптимизации изображений рекомендуется использовать оптимизатор скорости Hi-Optimizer. Таким образом вы сможете выполнить по максимуму рекомендации гугла и повысить оценку Гугла для своего сайта.

Модуль  Hi-Optimizer для ускорения здесь:
https://liveopencart.ru/opencart-moduli-shablony/moduli/hi-optimizer-for-opencart-intellektualnyiy-optimizator-sayta-dlya-povyisheniya-skorosti-zagruzki-stranits-i-otsenki-pagespeed-google

Установка софта (mozjpeg и  optiPNG, cwebp) в два клика на обычный хостинг и VDS (не требует знаний Linux).
Вся магия здесь:
[img]https://opencartforum.com/uploads/monthly_2017_10/2479e835ed.jpg.58914507f23d728c4148d755afbb28f7.jpg" class="imagebox" rel="imagebox" target="_blank">


Для комплексной оптимизации сайта в дополнение к оптимизации изображений рекомендуется использовать оптимизатор скорости Hi-Optimizer. Таким образом вы сможете выполнить по максимуму рекомендации гугла и повысить оценку Гугла для своего сайта.

Модуль  Hi-Optimizer для ускорения здесь:
https://liveopencart.ru/opencart-moduli-shablony/moduli/hi-optimizer-for-opencart-intellektualnyiy-optimizator-sayta-dlya-povyisheniya-skorosti-zagruzki-stranits-i-otsenki-pagespeed-google

Установка софта (mozjpeg и  optiPNG, cwebp) в два клика на обычный хостинг и VDS (не требует знаний Linux).
Вся магия здесь:
[img]https://opencartforum.com/uploads/monthly_2017_10/2479e835ed.jpg.58914507f23d728c4148d755afbb28f7.jpg">
Демо 2.* (клиентская часть): [url=http://watermark.sitecreator.pro]https://watermark.sitecreator.pro
Демо 2.*
(админка):https://watermark.sitecreator.pro/admin/index.php?route=extension/module/watermark_by_sitecreator

nпользователь: DEMO
пароль: DEMO

Максимум настроек водяного знака (watermark): его позиция, поворот, прозрачность и т. д.\r\nМожно настроить ограничение (запретить применять) для водяного знака как по имени файла/папок, так и по  размерам.
Адаптивный ресайз (resize, обрезка) изображения. \r\n\r\nСовместим с Opencart, Ocstore, opencart.pro версии 1.5.* и 2+

Совместим с Opencart, Ocstore, opencart.pro и сборок версии 1.5.* и 2+ (2.0, 2.1, 2.2, 2.3) [b]требования: php 5.6+
(5.6; 7.0, 7.1, 7.2, 7.3, 7.4)  Версию php у хостера вы можете изменить самостоятельно через панель управления.  Ioncube Loader v10.0+ (только 10+)

Работает WEBP везде почти без всяких условий! Важно чтобы была ОС Linux 64 bit или Windows  (это будет в 99.9% случаев).

[/b]Софт mozjpeg, optipng, который входит в состав модуля, предназначен для Linux 64 bit. Для Windows  такой софт вы можете скачать и установить отдельно.



Разница в размерах ДО и ПОСЛЕ:








 

 





Полностью совместимые ускорители в плане сжатых форматов, т.е. WEBP работает (выводится) корректно:
  • Jet Cache
  • Turbo (версия для opencart 2.1 и 2.3)
  • NitroPack (тестировался с NitroPack 2.5.3, про более свежие и будущие версии не берусь судить ). Больше не поддерживается, т.к. разработчик Нитро прекратил его продажу и поддержку.
  • Boost (проверялось только на опенкарт 2.*, не могу судить о версии на которой тестировался, т.к. разработчик в модуле не указал версию. Возможно, что есть
    несовместимые версии)
Ускоритель Лайтинг может работать совместно с Компрессором если включен режим совместимости с кеширующим ускорителем в модуле Компрессор, но гарантировать, что это будет работать везде и всегда на 100% невозможно, в подавляющем большинстве случаев это работает нормально.

Просьба обратить внимание до установки модуля на то, не изменен ли код напрямую (или за счет модификаторов) в файлах:

system/library/image.php, catalog/tool/image.php, admin/tool/image.php.

Не гарантируется выполнение всех функций модуля и нормальная работа если у вас в движке были сделаны прямые (или за счет модификаторов) изменения кода указанных выше файлов.
Желательно чтобы эти файлы были такими же как в дистрибутиве движка.  В случае изменения кода указанных выше файлов может потребоваться дополнительная адаптация и/или модификация кода, это необходимо обсуждать отдельно, как правило, это платная работа.  Модуль рассчитан для работы в первую очередь со стандартным движком.  Автор не берет на себя никакую ответственность за работу на нестандартном движке.

Для работы с фоном исходных изображений (обрезка лишнего фона на исходниках) необходима дополнительная лицензия для работы соответствующего дополнительного плагина к модулю Компрессор.

Корректная работа модуля и совместимость гарантируются только в случае использования официальных дистрибутивов opencart, ocstore или "русская сборка". Решение вопросов совместимости и
адаптация в случае использования нестандартного/измененного кода движка опенкарт возможно на платной основе, это не входит в поддержку модуля.

Автор не может гарантировать совместимость модуля со всеми на свете другими модулями и/или шаблонами (для опенкарт), которые могли быть установлены до установки модуля "Image COMPRESSOR..." или могут быть установлены в будущем. Но автор прилагает все необходимые усилия, чтобы обеспечить максимальную совместимость с популярными и известными шаблонами и модулями. Кстати, ни один автор никогда не берет на себя ответственности по совместимости со всеми модулями других авторов.
В случае любых спорных вопросов автор готов продемонстрировать работу своего модуля на сервере заказчика на стандартном опенкарт (т.е. это опенкарт без изменения кода, без добавления чего-либо, что отсутствует в стандартном) из официального дистрибутива, для этого может быть использован тот же домен, для которого запрашивалась лицензия при покупке, или может быть использован тестовый домен (например, поддомен для домена, для которого покупалась лицензия)  

Перенос лицензии (на др. домен) или отмена лицензии ("возврат покупки") после ее предоставления покупателю невозможны чисто технически.

С правовой точки зрения существует единственный официальный источник дистрибутивов опенкарт:https://www.opencart.com/index.php?route=cms/download/history
В случае любых спорных вопросов и решения их в правовом поле данный источник дистрибутивов рассматривается как единственный.
Де факто автор может заявлять совместимость и с разными сборками на основе опенкарт. Но с юридической точки зрения статус таких сборок никак не определен, а потому нет возможности определить их "официальность" и "правильность".
Различные сборки на основе опенкарт формально не могут являться официальными дистрибутивами. На данный момент, например, дистрибутивы ocstore не доступны для скачивания гражданам и организациям РФ и РБ, сайт и форум этой сборки  недоступны из РФ, другими словами, предприняты шаги хозяевами указанной сборки для невозможности использования данной сборки  в РФ, поэтому автор модуля не имеет возможности следить за изменениями в данной сборке. Фактически до версии ocstore 3.0.3.7 автор модуля обеспечивал совместимость всех своих модулей с данной сборкой.

[b]

[/b]
Способ распространения:
Платно
Совместимость:
OpenCart 1.5.3.1OpenCart 1.5.4.1OpenCart 1.5.5.1OpenCart 1.5.6OpenCart 1.5.6.1OpenCart 1.5.6.2OpenCart 1.5.6.3OpenCart 1.5.6.4OpenCart 2.0OpenCart 2.1OpenCart 2.2OpenCart 2.3OpenCart 3.*OCStore 1.5.3.1OCStore 1.5.4.1OCStore 1.5.5.1OCStore 1.5.5.1.1OCStore 1.5.5.1.2OCStore 2.1OCStore 2.3OCStore 3.*OcShop 1.5.6.4.хOpencart.pro 2.1Opencart.pro 2.3MaxyStore 2.1.0.2MaxyStore 2.3.0.2
VQmod:
Да
Ocmod:
Да
Events:
Нет
Загружено:
26.08.2017
Обновление:
29.07.2023
Просмотров:
16410
Покупок:
152

Написать

Ваше Имя:


Ваш отзыв: Внимание: HTML не поддерживается! Используйте обычный текст.

Оценка: Плохо           Хорошо

Введите код, указанный на картинке:






Файлы будут доступны после покупки